/*
 * The REQUEST_TERMINATION message allows a surface that has finished interacting with a user
 * communicate to the Netlify UI that it is ready to surrender control back to the Netlify UI.
 * Depending on the surface, the Netlify UI will optionally respect this signal.
 */
import { z } from "zod";
export const UI_EXTENSION_SURFACE_REQUEST_TERMINATION_EVENT_TYPE = "NF::EUI_SURFACE::REQUEST_TERMINATION";
export const UIExtensionSurfaceRequestTerminationEventSchema = z.object({
    type: z.literal(UI_EXTENSION_SURFACE_REQUEST_TERMINATION_EVENT_TYPE),
    data: z
        .object({})
        .optional()
        .default(() => ({})),
});
export const createUIExtensionSurfaceRequestTerminationEvent = (data = {}) => ({
    type: UI_EXTENSION_SURFACE_REQUEST_TERMINATION_EVENT_TYPE,
    data,
});
//# sourceMappingURL=request_termination.js.map